function onBegin()
    disableMovement()
    say("compend")
    choiceDialog({
        -- The most basic dialog choice.
        -- The dialog key DIALOG_1 will be used for displaying the choice, 
        -- then when you choose it, the dialog DIALOG_1_SAY will be shown.
        { "Bad", onEnd = function ()
            -- call this function to close the choice dialog and allow the cutscene to continue.
            closeChoiceDialog()
        end},
        { "Okay", onEnd = function ()
            -- call this function to close the choice dialog and allow the cutscene to continue.
            closeChoiceDialog()
        end},
        { "Excellent", onEnd = function ()
            -- call this function to close the choice dialog and allow the cutscene to continue.
            closeChoiceDialog()
        end},
        { "idc", onEnd = function ()
            -- call this function to close the choice dialog and allow the cutscene to continue.
            closeChoiceDialog()
        end},
    })
end

function onEnd()
    enableMovement()
  end